Management Groups - Create Or Update
Create or update a management group. If a management group is already created and a subsequent create request is issued with different properties, the management group properties will be updated.
PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}?api-version=2020-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Management Group ID. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. The current version is 2018-01-01-preview. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Cache-Control |
string |
Indicates that the request shouldn't utilize any caches. |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the management group. For example, 00000000-0000-0000-0000-000000000000 |
| properties.details |
Details |
|
| properties.displayName |
string |
The friendly name of the management group. If no value is passed then this field will be set to the groupId. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 202 Accepted |
Accepted Headers
|
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PutManagementGroup
Sample request
PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/ChildGroup?api-version=2020-05-01
{
"properties": {
"displayName": "ChildGroup",
"details": {
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/RootGroup"
}
}
}
}
Sample response
{
"id": "/providers/Microsoft.Management/managementGroups/ChildGroup",
"type": "Microsoft.Management/managementGroups",
"name": "ChildGroup",
"properties": {
"tenantId": "20000000-0000-0000-0000-000000000000",
"displayName": "ChildGroup",
"details": {
"version": 1,
"updatedTime": "2018-01-01T00:00:00.00Z",
"updatedBy": "16b8ef21-5c9f-420c-bcc9-e4f8c9f30b4b",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/RootGroup",
"name": "RootGroup",
"displayName": "RootGroup"
}
}
}
}
{
"id": "/providers/Microsoft.Management/managementGroups/ChildGroup",
"type": "Microsoft.Management/managementGroups",
"name": "ChildGroup",
"status": "NotStarted"
}
Definitions
| Name | Description |
|---|---|
|
Azure |
The results of Azure-AsyncOperation. |
|
Create |
The child information of a management group used during creation. |
|
Create |
The details of a management group used during creation. |
|
Create |
Management group creation parameters. |
|
Create |
(Optional) The ID of the parent management group used during creation. |
|
Error |
The details of the error. |
|
Error |
The error object. |
|
Management |
The management group details. |
|
Management |
The child information of a management group. |
|
Management |
The type of child resource. |
|
Management |
The details of a management group. |
|
Management |
A path element of a management group ancestors. |
|
Parent |
(Optional) The ID of the parent management group. |
AzureAsyncOperationResults
The results of Azure-AsyncOperation.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the management group. For example, 00000000-0000-0000-0000-000000000000 |
| properties.displayName |
string |
The friendly name of the management group. |
| properties.tenantId |
string |
The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000 |
| status |
string |
The current status of the asynchronous operation performed . For example, Running, Succeeded, Failed |
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups |
CreateManagementGroupChildInfo
The child information of a management group used during creation.
| Name | Type | Description |
|---|---|---|
| children |
The list of children. |
|
| displayName |
string |
The friendly name of the child resource. |
| id |
string |
The fully qualified ID for the child resource (management group or subscription). For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the child entity. |
| type |
The type of child resource. |
CreateManagementGroupDetails
The details of a management group used during creation.
| Name | Type | Description |
|---|---|---|
| parent |
Parent |
|
| updatedBy |
string |
The identity of the principal or process that updated the object. |
| updatedTime |
string (date-time) |
The date and time when this object was last updated. |
| version |
number (int32) |
The version number of the object. |
CreateManagementGroupRequest
Management group creation parameters.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the management group. For example, 00000000-0000-0000-0000-000000000000 |
| properties.children |
The list of children. |
|
| properties.details |
Details |
|
| properties.displayName |
string |
The friendly name of the management group. If no value is passed then this field will be set to the groupId. |
| properties.tenantId |
string |
The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000 |
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups |
CreateParentGroupInfo
(Optional) The ID of the parent management group used during creation.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The friendly name of the parent management group. |
| id |
string |
The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the parent management group |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
string |
A human-readable representation of the error's details. |
| message |
string |
A human-readable representation of the error. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |
ManagementGroup
The management group details.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the management group. For example, 00000000-0000-0000-0000-000000000000 |
| properties.children |
The list of children. |
|
| properties.details |
Details |
|
| properties.displayName |
string |
The friendly name of the management group. |
| properties.tenantId |
string |
The AAD Tenant ID associated with the management group. For example, 00000000-0000-0000-0000-000000000000 |
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups |
ManagementGroupChildInfo
The child information of a management group.
| Name | Type | Description |
|---|---|---|
| children |
The list of children. |
|
| displayName |
string |
The friendly name of the child resource. |
| id |
string |
The fully qualified ID for the child resource (management group or subscription). For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the child entity. |
| type |
The type of child resource. |
ManagementGroupChildType
The type of child resource.
| Value | Description |
|---|---|
| Microsoft.Management/managementGroups | |
| /subscriptions |
ManagementGroupDetails
The details of a management group.
| Name | Type | Description |
|---|---|---|
| parent |
Parent |
|
| path |
The path from the root to the current group. |
|
| updatedBy |
string |
The identity of the principal or process that updated the object. |
| updatedTime |
string (date-time) |
The date and time when this object was last updated. |
| version |
number (int32) |
The version number of the object. |
ManagementGroupPathElement
A path element of a management group ancestors.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The friendly name of the group. |
| name |
string |
The name of the group. |
ParentGroupInfo
(Optional) The ID of the parent management group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The friendly name of the parent management group. |
| id |
string |
The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
| name |
string |
The name of the parent management group |